stages:
    - docker-build
    - docker-deploy

include:
{% for version in ['8.1', '8.2', '8.2-rc', '8.3-rc'] %}
    {% for variant in ['apache', 'cli', 'fpm', 'zts'] %}
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: {{version}}-{{variant}}
      suffix: {{version}}-{{variant}}
      stage-suffix: ""
      dir: ./{{version}}/jammy/{{variant}}
    {% endfor %}
{% endfor %}
